Get Organization Details
curl --request GET \
--url https://{env}.tartanhq.com/api/org_details/{org}/import requests
url = "https://{env}.tartanhq.com/api/org_details/{org}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{env}.tartanhq.com/api/org_details/{org}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1469,
"application": {
"app_name": "default_connector_app",
"app_key": "CELPZEWN",
"app_secret": "RQUAAMBH"
},
"uuid": "82bbbbdb-b64c-47b9-8cb7-1b377b0dd906",
"org_name": "Himanshu1999 kjytrtyui",
"org_cin": null,
"website_url": "",
"logo_url": "https://tartan-assets.s3.ap-south-1.amazonaws.com/assets/files/tartan-node/Blanklogo.png",
"email_domain": null,
"invite_status": "accepted",
"created_on": "2024-08-16T07:17:13.743Z",
"modified_on": "2024-08-16T07:17:40.685Z",
"is_client": true,
"is_vendor": false,
"brand_name": null,
"remote_org_id": null,
"hrms": null,
"invited_by": 751,
"created_by": 978
}{
"requestId": "0b47c238-7da1-4091-8a8e-8da1a91eae01",
"message": "Not found.",
"data": null
}{
"requestId": "be2915d5-fc30-4d13-bcca-3d62aefac2a0",
"message": "Internal Server Error",
"data": null
}Organization
Get Organization Details
Returns details of an organization by its identifier.
GET
/
api
/
org_details
/
{org}
/
Get Organization Details
Path Parameters
Unique identifier of the organization.
Response
Organization details retrieved successfully
Example:
1469
Show child attributes
Show child attributes
Example:
"82bbbbdb-b64c-47b9-8cb7-1b377b0dd906"
Example:
"Himanshu1999 kjytrtyui"
Example:
null
Example:
""
Example:
"https://tartan-assets.s3.ap-south-1.amazonaws.com/assets/files/tartan-node/Blanklogo.png"
Example:
null
Example:
"accepted"
Example:
"2024-08-16T07:17:13.743Z"
Example:
"2024-08-16T07:17:40.685Z"
Example:
true
Example:
false
Example:
null
Example:
null
Example:
null
Example:
751
Example:
978

